import { NgModule, ErrorHandler } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { IonicApp, IonicModule, IonicErrorHandler } from 'ionic-angular';
import { MyApp } from './app.component';

import { WrapperProvider } from '../providers/apiServices/wrapper';
import { AuthProvider } from '../providers/apiServices/auth';
import { UrgenciesServicesProvider } from '../providers/apiServices/urg.services';
import { HospitalServicesProvider } from '../providers/apiServices/hos.services';
import { Functions } from '../providers/functions';
import { HttpModule } from '@angular/http';
import { IonicStorageModule } from '@ionic/storage';

import { SuperTabsModule } from 'ionic2-super-tabs';
import { MaterialIconsModule } from 'ionic2-material-icons';

import { LoginPage } from '../pages/login/login';
import { HomePage } from '../pages/home/home';
import { TabsPage } from '../pages/tabs/tabs';
import { UrgenciesPage } from '../pages/urgencies/urgencies';
import { HospitalPage } from '../pages/hospital/hospital';
import { CirurgiaPage } from '../pages/cirurgia/cirurgia';
import { AlarmesPage } from '../pages/alarmes/alarmes';
import { PopmenuPage } from '../pages/popmenu/popmenu';

import { UrgenciesIngressarPage } from '../pages/urgencies-ingressar/urgencies-ingressar';
import { UrgenciesZonesPage } from '../pages/urgencies-zones/urgencies-zones';
import { UrgenciesRecorregutPage } from '../pages/urgencies-recorregut/urgencies-recorregut';

import { HospitalOcupacioPage } from "../pages/hospital-ocupacio/hospital-ocupacio";
import { HospitalEstadaPage } from "../pages/hospital-estada/hospital-estada";
import { HospitalAltesPage } from "../pages/hospital-altes/hospital-altes";

import { StatusBar } from '@ionic-native/status-bar';
import { SplashScreen } from '@ionic-native/splash-screen';
import { FCM } from "@ionic-native/fcm";

@NgModule({
  declarations: [
    MyApp,
    LoginPage,
    TabsPage,
    HomePage,
    UrgenciesPage,
    HospitalPage,
    CirurgiaPage,
    UrgenciesIngressarPage,
    UrgenciesRecorregutPage,
    UrgenciesZonesPage,
    HospitalOcupacioPage,
    HospitalEstadaPage,
    HospitalAltesPage,
    AlarmesPage,
    PopmenuPage
  ],
  imports: [
    BrowserModule,
    HttpModule,
    IonicModule.forRoot(MyApp),
    SuperTabsModule.forRoot(),
    IonicStorageModule.forRoot(),
    MaterialIconsModule
  ],
  bootstrap: [IonicApp],
  entryComponents: [
    MyApp,
    LoginPage,
    TabsPage,
    HomePage,
    UrgenciesPage,
    HospitalPage,
    CirurgiaPage,
    UrgenciesIngressarPage,
    UrgenciesRecorregutPage,
    UrgenciesZonesPage,
    HospitalOcupacioPage,
    HospitalEstadaPage,
    HospitalAltesPage,
    AlarmesPage,
    PopmenuPage
  ],
  providers: [
    StatusBar,
    SplashScreen,
    {provide: ErrorHandler, useClass: IonicErrorHandler},
    WrapperProvider,
    AuthProvider,
    UrgenciesServicesProvider,
    HospitalServicesProvider,
    UrgenciesIngressarPage,
    FCM,    
    Functions
  ]
})
export class AppModule {}
