import { Component } from '@angular/core';
import { Platform, NavController, IonicPage } from 'ionic-angular';
import { Storage } from '@ionic/storage';
import { FCM } from "@ionic-native/fcm";

/**
 * Generated class for the AlarmesPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */

@IonicPage()
@Component({
  selector: 'page-alarmes',
  templateUrl: 'alarmes.html',
})
export class AlarmesPage {

  urgEpisodisActius: boolean = false;
  urgTempsEspera: boolean = false;
  hosOcupacio: boolean = false;
  //hosEstada: boolean = false;


  constructor(platform: Platform,
              public navCtrl: NavController,
              public storage: Storage,
              private fcm: FCM) {

                // Hardware back button pop() just for this pushed page
                let backAction =  platform.registerBackButtonAction(() => {
                  this.navCtrl.pop();
                  backAction();
                },2)
  }

  ionViewWillEnter() {
    // Check if alerts are stored
    this.storage.ready().then(() => {
      this.storage.get("storedAlerts").then((storedAlerts) => {
        if(storedAlerts != null) { 
          let alert = JSON.parse(storedAlerts);
          this.urgEpisodisActius = alert.urgepisodis;
          this.urgTempsEspera = alert.urgtemps;
          this.hosOcupacio = alert.hosocupacio;
          //this.hosEstada = alert.hosestada;
        }
      });
    });
  }

  /* Subscribe or unsubscribe from topic, depending on alert value */
  toggleAlert(alert,topic) {
    alert? this.fcm.subscribeToTopic(topic) : this.fcm.unsubscribeFromTopic(topic);
    //store new values of alerts
    this.storage.set('storedAlerts', JSON.stringify({
      urgepisodis : this.urgEpisodisActius,
      urgtemps : this.urgTempsEspera,
      hosocupacio : this.hosOcupacio,
      //hosestada : this.hosEstada
    }));
  }

}
