import { Component } from '@angular/core';
import { IonicPage, NavController, PopoverController, NavParams, Events } from 'ionic-angular';
import { StatusBar } from '@ionic-native/status-bar';

import { Functions } from '../../providers/functions';

import { HospitalOcupacioPage } from "../hospital-ocupacio/hospital-ocupacio";
import { HospitalEstadaPage } from "../hospital-estada/hospital-estada";
import { HospitalAltesPage } from "../hospital-altes/hospital-altes";
import { PopmenuPage } from '../popmenu/popmenu';

/**
 * Generated class for the HospitalPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */

@IonicPage()
@Component({
  selector: 'page-hospital',
  templateUrl: 'hospital.html',
})
export class HospitalPage {

  tab1Root = HospitalOcupacioPage;
  tab2Root = HospitalEstadaPage;
  tab3Root = HospitalAltesPage;

  // Assign popover menu
  popover = this.popCtrl.create(PopmenuPage);

  constructor(public navCtrl: NavController,
              public navParams: NavParams,
              public popCtrl: PopoverController,
              public events: Events,
              public commonFunction: Functions,
              private statusBar: StatusBar) {
  }

  ionViewWillEnter(){

    // Check if user is logged in
    this.commonFunction.checkLogin();

    // Status bar color
    this.statusBar.styleLightContent();
    this.statusBar.backgroundColorByHexString('#087f23');
  }

  /* Publish event to call a refresh on Hospital pages */
  refresh(){
    this.events.publish('functionCall:refreshHospital');
  }

  /* Present popover menu */
  presentPopMenu(event) {
    this.popover.present({
      ev: event
    });
  }

}
