import { Component } from '@angular/core';
import { IonicPage, NavController, ViewController, App, NavParams } from 'ionic-angular';
import { Storage } from '@ionic/storage';

import { AlarmesPage } from '../alarmes/alarmes';
import { LoginPage } from '../login/login';

/**
 * Generated class for the PopmenuPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */

@IonicPage()
@Component({
  selector: 'page-popmenu',
  templateUrl: 'popmenu.html',
})
export class PopmenuPage {

  constructor(public navCtrl: NavController,
              public viewCtrl: ViewController,
              public navParams: NavParams,
              public storage: Storage,
              public app: App) {
  }

  goToAlarmesPage() {
    this.navCtrl.push(AlarmesPage);
    this.viewCtrl.dismiss();
  }

  logout() {
    this.viewCtrl.dismiss();
    this.storage.set("userIsLogin", false);
    this.app.getRootNav().setRoot(LoginPage);
  }

}
