import { Component } from '@angular/core';
import { LoadingController, IonicPage, NavController, NavParams, Events } from 'ionic-angular';

import { UrgenciesServicesProvider } from '../../providers/apiServices/urg.services';
import { Functions } from '../../providers/functions';

/**
 * Generated class for the UrgenciesRecorregutPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */

@IonicPage()
@Component({
  selector: 'page-urgencies-recorregut',
  templateUrl: 'urgencies-recorregut.html',
})
export class UrgenciesRecorregutPage {

  urgRecorregutData : any;

  constructor(public navCtrl: NavController,
              public navParams: NavParams,
              public loadingCtrl: LoadingController,
              public urgServices: UrgenciesServicesProvider,
              public commonFunction: Functions,
              public events: Events) {
  }

  ionViewWillEnter() {
    this.commonFunction.showLoading();
    this.getRecorregutData();
  }

  getRecorregutData(){
    this.urgServices.getTabRecorregutData().subscribe(res => {
      this.urgRecorregutData = res;
      this.commonFunction.dismissLoading();
    }, error =>
    {
      this.commonFunction.dismissLoading();
      this.commonFunction.showToast();
    });
  }

  showInfoRecorregut(){
    let title = "Recorregut: episodis i temps mig";
    let message = "Episodis que han passat pels diferents trams del recorregut d'Urgències (entrada, triatge, assistència, alta mèdica, alta administrativa) des de les 00 h d'avui.<br><br>Per evitar biaix de les dades, no s'inclouen els pacients de l'àrea GOURG.";
    let button = "D'acord";
    this.commonFunction.showAlert(title,message,button);
  }

  showInfoAltes(){
    let title = "Altes: episodis i temps mig des de l'ingrés";
    let message = "Altes que s'han donat a Urgències (des de l'entrada fins a l'alta administrativa) des de les 00 h d'avui.<br><br>Per evitar biaix de les dades, no s'inclouen els pacients de l'àrea GOURG.";
    let button = "D'acord";
    this.commonFunction.showAlert(title,message,button);
  }

}
