import { Component } from '@angular/core';
import { IonicPage, NavController, PopoverController, NavParams, Events } from 'ionic-angular';
import { StatusBar } from '@ionic-native/status-bar';

import { Functions } from '../../providers/functions';

import { UrgenciesIngressarPage } from '../urgencies-ingressar/urgencies-ingressar';
import { UrgenciesZonesPage } from '../urgencies-zones/urgencies-zones';
import { UrgenciesRecorregutPage } from '../urgencies-recorregut/urgencies-recorregut';
import { PopmenuPage } from '../popmenu/popmenu';

/**
 * Generated class for the UrgenciesPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */

@IonicPage()
@Component({
  selector: 'page-urgencies',
  templateUrl: 'urgencies.html',
})
export class UrgenciesPage {

  tab1Root = UrgenciesIngressarPage;
  tab2Root = UrgenciesZonesPage;
  tab3Root = UrgenciesRecorregutPage;

  // Assign popover menu
  popover = this.popCtrl.create(PopmenuPage);

  constructor(public navCtrl: NavController,
              public navParams: NavParams,
              public popCtrl: PopoverController,
              public events: Events,
              public commonFunction: Functions,
              private statusBar: StatusBar) {
  }

  ionViewWillEnter(){

    // Check if user is logged in
    this.commonFunction.checkLogin();

    // Status bar color
    this.statusBar.overlaysWebView(false);
    this.statusBar.styleLightContent();
    this.statusBar.backgroundColorByHexString('#c56000');
  }


  /* Publish event to call a refresh on Urgencies pages */
  refresh(){
      this.events.publish('functionCall:refreshUrgencies');
  }

  /* Present popover menu */
  presentPopMenu(event) {
    this.popover.present({
      ev: event
    });
  }

}
