import { Injectable } from '@angular/core';
import { Http } from '@angular/http';
import 'rxjs/add/operator/map';
import 'rxjs/add/operator/catch';
import { WrapperProvider } from "./wrapper";
import { Observable } from "rxjs/Rx";

/*
  Generated class for the Emergencies Services provider.

  See https://angular.io/guide/dependency-injection for more info on providers
  and Angular DI.
*/

@Injectable()
export class HospitalServicesProvider extends WrapperProvider{  

  options = this.buildHeaders();

  constructor(public http: Http) {
    super(http);
    console.log('Hello HospitalServices Provider');
  }

  getHomeData() {
    return this.http.post(this.urlAppServices+this.urlHosHome,this.options)
      .map(res=>res.json())
      .catch((error:any) => Observable.throw(error.json().error || 'Server error') );
  }

  getTabOcupacioData() {
    return this.http.post(this.urlAppServices+this.urlHosTabOcupacio,this.options)
      .map(res=>res.json())
      .catch((error:any) => Observable.throw(error.json().error || 'Server error') );
  }

  getTabAltesData() {
    return this.http.post(this.urlAppServices+this.urlHosTabAltes,this.options)
      .map(res=>res.json())
      .catch((error:any) => Observable.throw(error.json().error || 'Server error') );
  }

}