import { Injectable } from '@angular/core';
import { Http } from '@angular/http';
import 'rxjs/add/operator/map';
import 'rxjs/add/operator/catch';
import { WrapperProvider } from "./wrapper";
import { Observable } from "rxjs/Rx";

import { Functions } from '../../providers/functions';

/*
  Generated class for the Emergencies Services provider.

  See https://angular.io/guide/dependency-injection for more info on providers
  and Angular DI.
*/

@Injectable()
export class UrgenciesServicesProvider extends WrapperProvider{ 
  
  options = this.buildHeaders();
  data = this.commonFunction.getDate();
  hora = this.commonFunction.getHour();
  datahora = this.commonFunction.getDateHour();

  constructor(public http: Http,
              public commonFunction: Functions) {
    super(http);
    console.log('Hello UrgenciesServices Provider');
  }

  getHomeData() {
    return this.http.post(this.urlAppServices+this.urlUrgHome,this.options)
      .map(res=>res.json())
      .catch((error:any) => Observable.throw(error.json().error || 'Server error') );
  }

  getTabIngressarData() {
    return this.http.post(this.urlAppServices+this.urlUrgTabIngressar,this.options)
      .map(res=>res.json())
      .catch((error:any) => Observable.throw(error.json().error || 'Server error') );
  }

  getTabLlitsData() {
    return this.http.post(this.urlAppServices+this.urlUrgTabLlits,this.options)
      .map(res=>res.json())
      .catch((error:any) => Observable.throw(error.json().error || 'Server error') );
  }

  getTabAreesData() {
    let params = "pFecha="+this.data+"&pHora="+this.hora;
    return this.http.post(this.urlAppServices+this.urlUrgTabArees,params,this.options)
    .map(res=>res.json())
    .catch((error:any) => Observable.throw(error.json().error || 'Server error') );
  }

  getTabZonesData() {
    let params = "pFecha="+this.datahora;
    return this.http.post(this.urlAppServices+this.urlUrgTabZones,params,this.options)
    .map(res=>res.json())
    .catch((error:any) => Observable.throw(error.json().error || 'Server error') );
  }

  getTabRecorregutData() {
    let params = "pFecha="+this.data+"&pHora="+this.hora;
    return this.http.post(this.urlAppServices+this.urlUrgTabRecorregut,params,this.options)
    .map(res=>res.json())
    .catch((error:any) => Observable.throw(error.json().error || 'Server error') );
  }

}